<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        // TODO Check
        Schema::create('guild_war', function (Blueprint $table) {
            $table->unsignedInteger('id_from')->default(0);
            $table->unsignedInteger('id_to')->default(0);

            $table->primary(['id_from', 'id_to']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('guild_war');
    }
};
